<?php @header( 'HTTP/1.1 404 Not found', true, 404 ); get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( is_active_sidebar( 'error-404-template' ) ) : ?>

			<div id="utility-404" class="sidebar utility">
				<?php dynamic_sidebar( 'error-404-template' ); ?>
			</div><!-- #utility-404 .utility -->

		<?php else : ?>

			<article id="post-0" class="<?php framework_post_class() ?>">

				<header class="entry-header">
					<h1 class="entry-title error-404-title"><?php _e( 'Not Found', 'wordsmith' ); ?></h1>
				</header><!-- .entry-header -->

				<div class="entry-content">
					<p><?php printf( __( 'The page you were looking doesn\'t seem to exist, so that means I probably broke something. Don\'t worry though, you can return to the <a href="%1$s">homepage</a>, go back a <a href="%2$s">page</a>, or you can search for what you\'re looking for.', 'wordsmith' ), home_url(), 'javascript:javascript:history.go(-1)' ); ?></p>
				</div><!-- .entry-content -->

				<p><?php get_search_form(); ?></p>

			</article><!-- #post-0 -->

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>