<?php global $post, $comment; ?>

<li id="comment-<?php comment_ID(); ?>" class="<?php framework_comment_class(); ?>">

	<?php do_atomic( 'before_comment' ); ?>

	<div class="comment-wrap">

		<?php do_atomic( 'open_comment' ); ?>

		<div class="comment-meta">
			<?php echo get_avatar( $comment, 120 ); ?>
			<span class="comment-author"><?php printf( '<cite class="fn">%s</cite>', get_comment_author_link() ); ?></span>
			<span class="comment-published"><?php printf( __( '%1$s at %2$s', 'wordsmith' ), get_comment_date(), get_comment_time() ); ?></span>
			<span class="comment-permalink"><?php printf( '<a href="%1$s">' . __( 'Permalink', 'wordsmith' ) . '</a>', esc_url( get_comment_link( $comment->comment_ID ) ) ); ?></span>
			<?php edit_comment_link( __( 'Edit', 'wordsmith' ), '<span class="comment-edit">', '</span>' ); ?>
		</div><!-- .comment-meta -->

		<div class="comment-content comment-text">

			<?php if ( $comment->comment_approved == '0' ) : ?>
				<?php echo '<p class="moderation alert">' . __( 'Your comment is awaiting moderation.', 'wordsmith' ) . '</p>'; ?>
			<?php endif; ?>

			<?php comment_text( $comment->comment_ID ); ?>

		</div><!-- .comment-content .comment-text -->

		<?php comment_reply_link( array_merge( $args, array( 'before' => '<span class="comment-reply">', 'after' => '</span>', 'reply_text' => __( 'Reply', 'wordsmith' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>

		<?php do_atomic( 'close_comment' ); ?>

	</div><!-- .comment-wrap -->

	<?php do_atomic( 'after_comment' ); ?>

<?php /* No closing </li> is needed. WordPress will know where to add it. */ ?>