<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

	<?php if ( is_singular() ) : ?>

		<?php do_atomic( 'before_entry' ); ?>

		<div class="entry-content">
			<?php the_content(); ?>
		</div><!-- .entry-content -->

		<div class="source">
			<small><?php printf( '<a href="%1$s">%2$s</a>', get_permalink(), get_the_title() ); ?></small>
		</div><!-- .source -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php else : ?>

		<?php do_atomic( 'before_entry' ); ?>

		<div class="entry-content">
			<?php the_content( false ); ?>
		</div><!-- .entry-content -->

		<div class="source">
			<small><?php printf( '<a href="%1$s">%2$s</a>', get_permalink(), get_the_title() ); ?></small>
		</div><!-- .source -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php endif; ?>

</article><!-- .hentry -->