<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

	<?php if ( is_singular() ) : ?>

		<?php do_atomic( 'before_entry' ); ?>

		<div class="entry-content">
			<?php echo get_avatar( get_the_author_meta( 'email' ), 80 ); ?>
			<?php the_content(); ?>
			<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php else : ?>

		<?php do_atomic( 'before_entry' ); ?>

		<div class="entry-content">
			<a href="<?php the_permalink(); ?>"><?php echo get_avatar( get_the_author_meta( 'email' ), 80 ); ?></a>
			<?php the_content( __( 'Continue Reading', 'wordsmith' ) ); ?>
			<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php endif; ?>

</article><!-- .hentry -->