<?php if ( is_attachment() ) : ?>

	<nav class="navigation-links">
		<?php previous_post_link( '%link', '<span class="previous">' . __( 'Go Back', 'wordsmith' ) . '</span>' ); ?>
	</nav><!-- .navigation-links -->

<?php elseif ( is_singular( 'post' ) ) : ?>

	<nav class="navigation-links clearfix">
		<?php previous_post_link( '%link', '<span class="previous alignleft">' . __( 'Previous Post', 'wordsmith' ) . '</span>' ); ?>
		<?php next_post_link( '%link', '<span class="next alignright">' . __( 'Next Post', 'wordsmith' ) . '</span>' ); ?>
	</nav><!-- .navigation-links -->

	<?php elseif ( !is_singular() && current_theme_supports( 'loop-pagination' ) ) : loop_pagination(); ?>

	<?php elseif ( !is_singular() && $nav = get_posts_nav_link( array( 'sep' => '', 'prelabel' => '<span class="previous alignright">' . __( 'Newer Posts', 'wordsmith' ) . '</span>', 'nxtlabel' => '<span class="next alignleft">' . __( 'Older Posts', 'wordsmith' ) . '</span>' ) ) ) : ?>

	<nav class="navigation-links clearfix">
		<?php echo $nav; ?>
	</nav><!-- .navigation-links -->

<?php endif; ?>