<?php

$this->settings['color_stylesheet'] = array(
	'section' => 'general',
	'title' => __( 'Color Scheme', 'wordsmith' ),
	'description' => __( 'Select your themes color scheme. These stylesheets are located in the <code>library/color</code> folder.', 'wordsmith' ),
	'type' => 'select',
	'default' => 'default',
	'choices' => array(
		'' => __( '&ndash; Select &ndash;', 'wordsmith' ),
		'default' => 'Default',
		'custom' => 'Custom'
	)
);

$this->settings['logo_url'] = array(
	'section' => 'general',
	'title' => __( 'Logo', 'wordsmith' ),
	'description' => __( 'Upload the image for your logo. Once uploaded, click the Use This Image button. If that does not work, copy the address of the image and paste it in the input field above. Next, click on Update Settings button at the bottom of this page. The image will automatically display here after the settings are saved.', 'wordsmith' ),
	'type' => 'upload'
);

$this->settings['footer_insert'] = array(
	'section' => 'general',
	'title' => __( 'Footer Insert', 'wordsmith' ),
	'description' => __( 'You can add custom HTML and/or shortcodes, which will be automatically inserted into your theme.', 'wordsmith' ),
	'type'		=> 'editor',
	'default' => '[site-link] &#169; [the-year]. Powered by [wp-link].' . "\n\n" . '[nav-menu menu="footer" theme_location="footer"]'
);

$this->settings['google_font_name'] = array(
	'class' => 'widefat',
	'section' => 'styling',
	'title' => __( 'Google Font Name', 'wordsmith' ),
	'description' => sprintf( __( 'Pick a font from the <a href="%1$s" target="_blank">Google Web Fonts</a> directory and enter the font name here. For more information, read the <a href="%2$s" target="_blank">Getting Started</a> guide provided by Google.', 'wordsmith' ), 'http://www.google.com/webfonts', 'https://developers.google.com/webfonts/docs/getting_started' ),
	'type' => 'text'
);

$this->settings['custom_css'] = array(
	'class' => 'widefat',
	'section' => 'styling',
	'title' => __( 'Custom CSS', 'wordsmith' ),
	'description' => __( 'Add your custom <acronym title="Cascading Style Sheets">CSS</acronym> here.', 'wordsmith' ),
	'type' => 'textarea'
);

?>