<?php

/* Template Name: Blog */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php
			if ( get_query_var( 'paged' ) ) :
				$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
			elseif ( get_query_var( 'page' ) ) :
				$paged = ( get_query_var( 'page' ) ) ? get_query_var( 'page' ) : 1;
			endif;
			$temp = $wp_query;
			$wp_query = null;
			$wp_query = new WP_Query();
			$wp_query->query(
				array(
					'posts_per_page' => get_option( 'posts_per_page' ),
					'paged' => $paged
				)
			);
		?>

		<?php if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post(); $more = 0; ?>

			<?php get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

			<?php get_template_part( 'loop-nav' ); ?>

		<?php $wp_query = null; $wp_query = $temp; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>