<?php get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php get_template_part( 'loop-meta' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="entry-header">
				<h2 class="entry-title"><?php printf( '<a href="%1$s">%2$s</a>', get_permalink(), get_the_title() ); ?></h2>
			</heade><!-- .entry-header -->

			<div class="entry-byline">
				<span class="entry-published"><?php printf( '%1$s', get_the_time( get_option( 'date_format' ) ) ); ?></span>
				<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
				<?php if ( comments_open() ) : echo '<div class="entry-comments">'; comments_popup_link( __( 'No Comments', 'wordsmith' ), __( '1 Comment', 'wordsmith' ),  __( '% Comments', 'wordsmith' ) ); echo '</div>'; endif; ?>
			</div><!-- .entry-byline -->

			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php get_template_part( 'loop-nav' ); ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>